﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Net;
using System.Globalization;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    protected void Validate(object sender, EventArgs e)
    {
        if (!System.Text.RegularExpressions.Regex.IsMatch(txtImageUrl.Text, @"(https?:\/\/[^ ]*\.(?:gif|png|jpg|jpeg))"))
        {
            ClientScript.RegisterClientScriptBlock(this.GetType(), "", "alert('Url is invalid.')", true);
        }
        else
        {
            ClientScript.RegisterClientScriptBlock(this.GetType(), "", "alert('Url is valid.')", true);
        }
    }

    bool IsImageUrl(string url)
    {
        var req = (HttpWebRequest)HttpWebRequest.Create(url);
        req.Method = "HEAD";
        using (var resp = req.GetResponse())
        {
            return resp.ContentType.ToLower(CultureInfo.InvariantCulture).StartsWith("image/");
        }
    }

    protected void Validate1(object sender, EventArgs e)
    {
        if (IsImageUrl(txtImageUrl.Text.Trim()))
        {
            ClientScript.RegisterClientScriptBlock(this.GetType(), "", "alert('Url is valid.')", true);
        }
        else
        {
            ClientScript.RegisterClientScriptBlock(this.GetType(), "", "alert('Url is invalid.')", true);
        }
    }
}